[Xenomai] Debian Package Building Broken

Gilles Chanteperdrix gilles.chanteperdrix at xenomai.org
Wed Apr 2 18:14:11 CEST 2014


On 04/02/2014 06:12 PM, Charles Steinkuehler wrote:
> On 4/2/2014 11:02 AM, Gilles Chanteperdrix wrote:
>> On 04/02/2014 05:55 PM, Charles Steinkuehler wrote:
>>>
>>> I am building from the 2.6.3 tag, but the configure file still exists in
>>> master:
>>>
>>> http://git.xenomai.org/xenomai-2.6.git/tree/
>>
>> No, the configure file is in the tree, this is intentional, this avoids
>> requiring people which compile the package from the git tree to have the
>> autotools installed. If debian/rules does not support that, it should be
>> fixed to support it.
> 
> I'm not sure if debian/rules allows that or not...I'm just trying to
> build 2.6.3 packages from git following the directions on the wiki:
> 
> http://xenomai.org/index.php/Building_Debian_packages#from_a_Git_repository
> 
> ...mostly because for some reason Debian doesn't build the armhf flavor
> of the Xenomai packages:
> 
> https://packages.debian.org/sid/xenomai-runtime
> 
> ...there's armel, but no armhf.  :(
> 


This is a known issue, which has been fixed in xenomai git:

http://git.xenomai.org/xenomai-2.6.git/commit/?id=b10527ed14399a6485f69b935988d9d5211066d0

You will not have it when building from the 2.6.3 tag, though.

-- 
					    Gilles.




More information about the Xenomai mailing list